package models;
import com.fasterxml.jackson.annotation.JsonProperty;

public class Match_Event {

    // Unique identifier for the event
    @JsonProperty("idEvent")
    private String idEvent;

    // Name of the event
    @JsonProperty("strEvent")
    private String strEvent;

    // Date of the event
    @JsonProperty("dateEvent")
    private String dateEvent;

    // League associated with the event
    @JsonProperty("strLeague")
    private String strLeague;

    // Name of the home team
    @JsonProperty("strHomeTeam")
    private String strHomeTeam;

    // Name of the away team
    @JsonProperty("strAwayTeam")
    private String strAwayTeam;

    // Home team's score
    @JsonProperty("intHomeScore")
    private int intHomeScore;

    // Away team's score
    @JsonProperty("intAwayScore")
    private int intAwayScore;

    // Define other properties as needed

    // Constructor

    // Getters and setters
    public String getIdEvent() {
        return idEvent;
    }

    public void setIdEvent(String idEvent) {
        this.idEvent = idEvent;
    }

    public String getStrEvent() {
        return strEvent;
    }

    public void setStrEvent(String strEvent) {
        this.strEvent = strEvent;
    }

    public String getDateEvent() {
        return dateEvent;
    }

    public void setDateEvent(String dateEvent) {
        this.dateEvent = dateEvent;
    }

    public String getStrLeague() {
        return strLeague;
    }

    public void setStrLeague(String strLeague) {
        this.strLeague = strLeague;
    }

    public String getStrHomeTeam() {
        return strHomeTeam;
    }

    public void setStrHomeTeam(String strHomeTeam) {
        this.strHomeTeam = strHomeTeam;
    }

    public String getStrAwayTeam() {
        return strAwayTeam;
    }

    public void setStrAwayTeam(String strAwayTeam) {
        this.strAwayTeam = strAwayTeam;
    }

    public int getIntHomeScore() {
        return intHomeScore;
    }

    public void setIntHomeScore(int intHomeScore) {
        this.intHomeScore = intHomeScore;
    }

    public int getIntAwayScore() {
        return intAwayScore;
    }

    public void setIntAwayScore(int intAwayScore) {
        this.intAwayScore = intAwayScore;
    }

}
